Package ru.bitel.bgbilling.modules.inet.common.bean

# Class AccessCodes

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.AccessCodes

public class AccessCodes extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BALANCE_INSUFFICIENT`
  `static final int`
  `CONTRACT_LOCKED`
  `static final int`
  `SERVICE_CLOSED`
  `static final int`
  `SERVICE_LOCKED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessCodes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isConnectionStateful(int accessCode)`
  Может ли состояние соединение измениться с этим accessCode.
  Например, клиент подключился с запрещенным MAC-адресом - соединение нельзя переключать в состояние включен.
  `static boolean`
  `isNeededDisconnect(int accessCode)`
  `static boolean`
  `isStateful(int accessCode)`
  `static boolean`
  `isStateRelated(int accessCode)`
  `static String`
  `toString(ParameterMap moduleSetup, int accessCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVICE_LOCKED

    public static final int SERVICE_LOCKED
    See Also:
      - Constant Field Values

  - ### CONTRACT_LOCKED

    public static final int CONTRACT_LOCKED
    See Also:
      - Constant Field Values

  - ### BALANCE_INSUFFICIENT

    public static final int BALANCE_INSUFFICIENT
    See Also:
      - Constant Field Values

  - ### SERVICE_CLOSED

    public static final int SERVICE_CLOSED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessCodes

    public AccessCodes()

- ## Method Details

  - ### isStateRelated

    public static boolean isStateRelated(int accessCode)

  - ### isStateful

    public static boolean isStateful(int accessCode)

  - ### toString

    public static String toString(ParameterMap moduleSetup, int accessCode)

  - ### isConnectionStateful

    public static boolean isConnectionStateful(int accessCode)
    Может ли состояние соединение измениться с этим accessCode.
    Например, клиент подключился с запрещенным MAC-адресом - соединение нельзя переключать в состояние включен.
    Parameters:
      `accessCode` -
    Returns:

  - ### isNeededDisconnect

    public static boolean isNeededDisconnect(int accessCode)
    Parameters:
      `accessCode` -
    Returns:
      true, если при этой ошибке необходим сброс, а не просто ограничение доступа